SEQ_OPEN(9)

NAME
seq_open - initialize sequential file

SYNOPSIS

int seq_open (struct file * file, struct seq_operations * op);

ARGUMENTS

file
    file we initialize

op  method table describing the sequence

DESCRIPTION

 seq_open sets file, associating it with a sequence described by op. op->start sets the iterator up and returns the first element of sequence. op->stop shuts it down. op->next returns the next element of sequence. op->show prints element into the buffer. In case of error ->start and ->next return ERR_PTR(error). In the end of sequence they return NULL. ->show returns 0 in case of success and negative number in case of error.